Package org.bgerp.app.dist.inst

# Class InstallerChanges

java.lang.Object
org.bgerp.app.dist.inst.InstallerChanges

public class InstallerChanges extends Object
Parse changes info out of NGINX directory listing HTML.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `InstallerChanges.Change`
  Change info.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MASTER_RELEASE_CHANGE_ID`
  `static final String`
  `UPDATE_TO_CHANGE_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallerChanges()`
  Constructor loads list of changes, directory names under `UPDATE_TO_CHANGE_URL`.
  `InstallerChanges(String changeId)`
  Constructor downloads update files from `UPDATE_TO_CHANGE_URL` / The names of this files are available after with `getUpdateFiles()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.jsoup.nodes.Document`
  `changes(String url)`
  `protected void`
  `download(String url, String name)`
  `List<InstallerChanges.Change>`
  `getChanges()`
  Changes list.
  `List<String>`
  `getUpdateFiles()`
  Update ZIP files, stored in `Utils.getTmpDir()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UPDATE_TO_CHANGE_URL

    public static final String UPDATE_TO_CHANGE_URL

  - ### MASTER_RELEASE_CHANGE_ID

    public static final String MASTER_RELEASE_CHANGE_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InstallerChanges

    public InstallerChanges() throws IOException, ParseException
    Constructor loads list of changes, directory names under `UPDATE_TO_CHANGE_URL`. The result is available after using `getChanges()`.
    Throws:
      `IOException`
      `ParseException`

  - ### InstallerChanges

    public InstallerChanges(String changeId) throws IOException, URISyntaxException
    Constructor downloads update files from `UPDATE_TO_CHANGE_URL` / The names of this files are available after with `getUpdateFiles()`.
    Parameters:
      `changeId` - string with directory name.
    Throws:
      `IOException`
      `URISyntaxException`

- ## Method Details

  - ### changes

    protected org.jsoup.nodes.Document changes(String url) throws IOException
    Throws:
      `IOException`

  - ### download

    protected void download(String url, String name) throws IOException, URISyntaxException
    Throws:
      `IOException`
      `URISyntaxException`

  - ### getChanges

    public List<InstallerChanges.Change> getChanges()
    Changes list. Each `IdStringTitle` has numeric change ID and ID plus file modification time in title.
    Returns:

  - ### getUpdateFiles

    public List<String> getUpdateFiles()
    Update ZIP files, stored in `Utils.getTmpDir()`
    Returns: